<?php
require_once('settings.php');
?>

<div id="cart-sidebar" class="cart-sidebar-closed" data-init="0"><iframe id="cart-sidebar-iframe" src="<?= implode('/', array_slice(explode('/', AJAX_PAGE), 0, -1)) . '/cart-sidebar.php' ?>"></iframe></div>

<script type="text/javascript">

(function() {
    for(var i=0; i<document.querySelectorAll(".menu-cart").length; i++) {
        document.querySelectorAll(".menu-cart")[i].addEventListener('click', openCartSidebar);
    }
})();

window.addEventListener('message', function(e) {
	if(e.data == 'CLOSE') {
    	closeCartSidebar();
  	}
});

function closeCartSidebar() {
	document.querySelector("#cart-sidebar").classList.add('cart-sidebar-closed');
}

function openCartSidebar() {
	document.querySelector("#cart-sidebar").classList.remove('cart-sidebar-closed');
	if(document.querySelector("#cart-sidebar").getAttribute('data-init') == '0') {
		document.querySelector('#cart-sidebar-iframe').contentWindow.postMessage('REFRESH', "*");
		document.querySelector("#cart-sidebar").setAttribute('data-init', '1');
	}
}

</script>

<style type="text/css">

#cart-sidebar {
	position: fixed;
	top: 0;
	right: 0;
	width: 20%;
	height: 100%;
	z-index: 950;
	background-color: rgba(255,255,255,0.95);
	box-shadow: 0px 0px 10px rgba(0,0,0,.5);
	transition: transform 0.5s;
}

.cart-sidebar-closed {
	transform: translateX(105%);
}

#cart-sidebar-iframe {
	width: 100%;
	height: 100%;
	border: none;
}

</style>