<?php

class TaxjarApi 
{
	public function calculateSalesTax($to_address, $from_address, $shipping_amount, $grand_total) {
		$api_key = '429dc4f5df29a9df7d9422309cd197d4';

		$params = array();

		$params['to_country'] = 'US';
		$params['to_zip'] = $to_address['to_zip'];
		$params['to_state'] = $to_address['to_state'];
		$params['to_city'] = $to_address['to_city'];
		$params['to_street'] = $to_address['to_street'];

		$params['from_country'] = 'US';
		$params['from_zip'] = $from_address['from_zip'];
		$params['from_state'] = $from_address['from_state'];
		$params['from_city'] = $from_address['from_city'];
		$params['from_street'] = $from_address['from_street'];

		$params['shipping'] = $shipping_amount;
		$params['amount'] = $grand_total;

		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, 'https://api.taxjar.com/v2/taxes');
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Authorization: Bearer ' . $api_key, 'Content-Type: application/json'));
		curl_setopt($ch, CURLOPT_POST,1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		$response = json_decode(curl_exec($ch), true);
		$http_code = curl_getinfo($ch,CURLINFO_HTTP_CODE);
		if($http_code != 200) 
			throw new Exception('Error : Taxjar API failed');
		curl_close($ch);

		return array('tax' => $response['tax']['amount_to_collect'], 'full_response' => json_encode($response));
	}
}

?>